modshogun

f_feats_train = CSVFile("../../data/classifier_binary_2d_linear_features_train.dat");
f_feats_test = CSVFile("../../data/classifier_binary_2d_linear_features_test.dat");
f_labels_train = CSVFile("../../data/classifier_binary_2d_linear_labels_train.dat");
f_labels_test = CSVFile("../../data/classifier_binary_2d_linear_labels_test.dat");

%![create_features]
features_train = RealFeatures(f_feats_train);
features_test = RealFeatures(f_feats_test);
labels_train = BinaryLabels(f_labels_train);
labels_test = BinaryLabels(f_labels_test);
%![create_features]

%![create_instance]
lda = LDA();
lda.set_features(features_train);
lda.set_labels(labels_train);
%![create_instance]

%![train_and_apply]
lda.train();
labels_predict = lda.apply_binary(features_test);
%![train_and_apply]

%![extract_weights]
w = lda.get_w();
%![extract_weights]

%![evaluate_accuracy]
eval = AccuracyMeasure();
accuracy = eval.evaluate(labels_predict, labels_test);
%![evaluate_accuracy]

%additional integration testing variables
output = labels_predict.get_labels();

% Serialize output for integration testing (automatically generated)
__sg_storage = WrappedObjectArray();
__sg_storage_file = SerializableAsciiFile("lda.dat", 'w');
__sg_storage.append_wrapped_real_vector(w, "w");
__sg_storage.append_wrapped_real(accuracy, "accuracy");
__sg_storage.append_wrapped_real_vector(output, "output");
__sg_storage.save_serializable(__sg_storage_file);
